
QGIS Application - Bug report #6987

canvas leftovers when editing or using the measure/identify tools

2013-01-13 05:24 AM - Giovanni Manghi

Status: Closed

Priority: Normal

Assignee:

Category: Map Canvas

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed

Crashes QGIS or corrupts data:No Copied to github as #: 16092

Description

On many computers, both Windows and Linux, it is pretty easy to have leftovers on the screen when editing (especially associated to

invalid nodes) or when using the measure tools and also the selection tools.

This does not happen on all computers, for instance I have an Intel graphic card and this does not happen, while is easy to replicate on

pcs with graphic cards from other brands.

While this is not certainly a blocker issue is certainly very annoying, especially when it is related to editing operations (users are puzzled

by those strange nodes).

History

#1 - 2013-01-13 05:34 AM - Matthias Kuhn

Just to be sure, did you try this on the latest master?

There has been a (more or less) recent commit:90c571d which could solve issues like this.

#2 - 2013-01-13 05:39 AM - Giovanni Manghi

- Status changed from Open to Feedback

Matthias Kuhn wrote:

Just to be sure, did you try this on the latest master?

There has been a (more or less) recent commit:90c571d which could solve issues like this.

Thanks Matthias,

I will try on an affected pc ASAP.

#3 - 2013-03-06 12:22 AM - Matthias Kuhn

Hi Giovanni, could you check this?
#4 - 2013-03-06 12:24 AM - Giovanni Manghi

yes, I can give a go today. cheers!

#5 - 2013-03-06 11:29 AM - Giovanni Manghi

- Resolution set to fixed

- Status changed from Feedback to Closed

Seems fixed in master. Thanks!
